=== debian/changelog ===
rawtherapee (4.0.11+dfsg-1) unstable; urgency=low
  * New upstream release (closes: #681952, #710534; LP: #1035052):
    - Add build dependency libcanberra-gtk-dev
    - Remove debian/rawtherapee.1 as it's shipped upstream
  * Bump Standards-Version to 3.9.4 (no changes necessary).
  * Update package description (closes: #682657).
  * Refresh debian/patches/01-AboutThisBuild.patch to apply cleanly.
  * Add debian/watch as recommended by Debian Policy Manual section 4.11.
    - Repack the source and document it in debian/README.source

 -- Philip Rinn <rinni@gmx.net>  Wed, 26 Jun 2013 17:57:39 +0200
