=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// \
http://code.google.com/p/rawtherapee/downloads/list?can=1 .*/rawtherapee-(\d[\d.]*)\.(?:zip|tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz) \
 debian /bin/sh debian/get-orig-source.sh
