## rawtherapee 4.0.12+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -72,7 +72,10 @@
 option (WITH_BZIP "Build with Bzip2 support" ON)
 option (WITH_MYFILE_MMAP "Build using memory mapped file" ON)
 option (OPTION_OMP "Build with OpenMP support" ON)
-option (BUILD_BUNDLE "Self-contained build" OFF)
+option (PROTECT_VECTORS "Protect critical vectors by custom R/W Mutex, recommanded even if your std::vector is thread safe" ON)
+option (STRICT_MUTEX "True (recommended): MyMutex will behave like POSIX Mutex; False: MyMutex will behave like POSIX RecMutex; Note: forced to ON for Debug builds" ON)
+option (TRACE_MYRWMUTEX "Trace RT's custom R/W Mutex (Debug builds only); redirecting std::out to a file is strongly recommended!" OFF)
+option (AUTO_GDK_FLUSH "Use gdk_flush on all gdk_thread_leave other than the GUI thread; set it ON if you experience X Server warning/errors" OFF)
 
 # set install directories
 if (WIN32 OR APPLE)
@@ -159,6 +162,32 @@
     IS_ABSOLUTE "${DOCDIR}" AND IS_ABSOLUTE "${CREDITSDIR}" AND IS_ABSOLUTE "${LICENCEDIR}"))
     message (FATAL_ERROR "The paths has to be absolute or use -DBUILD_BUNDLE=ON")
 endif ()
+
+# MyMutex
+if (STRICT_MUTEX OR UPPER_CMAKE_BUILD_TYPE STREQUAL "DEBUG")
+    add_definitions (-DSTRICT_MUTEX=1)
+else (STRICT_MUTEX OR UPPER_CMAKE_BUILD_TYPE STREQUAL "DEBUG")
+    add_definitions (-DSTRICT_MUTEX=0)
+endif (STRICT_MUTEX OR UPPER_CMAKE_BUILD_TYPE STREQUAL "DEBUG")
+
+# MyRWMutex
+if (PROTECT_VECTORS)
+    add_definitions (-DPROTECT_VECTORS=1)
+else (PROTECT_VECTORS)
+    add_definitions (-DPROTECT_VECTORS=0)
+endif (PROTECT_VECTORS)
+if (TRACE_MYRWMUTEX)
+    # Note: it will be set to 0 for Debug builds (rtgui/guiutils.h)
+    add_definitions (-DTRACE_MYRWMUTEX=1)
+else (TRACE_MYRWMUTEX)
+    add_definitions (-DTRACE_MYRWMUTEX=0)
+endif (TRACE_MYRWMUTEX)
+
+if (AUTO_GDK_FLUSH)
+    add_definitions (-DAUTO_GDK_FLUSH=1)
+else (AUTO_GDK_FLUSH)
+    add_definitions (-DAUTO_GDK_FLUSH=0)
+endif (AUTO_GDK_FLUSH)
 
 # check for libraries
 find_package(PkgConfig)
@@ -178,7 +207,9 @@
     if (MINGW)
         add_definitions (-D__MINGW32__)
     endif (MINGW)
-
+	if (CMAKE_SIZEOF_VOID_P EQUAL 4)
+        add_definitions (-DWINVER=0x0501)
+    endif (CMAKE_SIZEOF_VOID_P EQUAL 4)
     set (EXTRA_LIB "-lws2_32 -lshlwapi")
 endif (WIN32)
 # you may need lcms v1.xx for older version : pkg_check_modules (LCMS REQUIRED lcms<=1.99)
@@ -276,29 +307,3 @@
 set(LFLAGS "${CMAKE_EXE_LINKER_FLAGS} ${CMAKE_EXE_LINKER_FLAGS_${UPPER_CMAKE_BUILD_TYPE}}")
 
 set(ABOUT_COMMAND_WITH_ARGS ${CMAKE_COMMAND}
-                            -DPROJECT_SOURCE_DIR:STRING=${PROJECT_SOURCE_DIR}
-                            -DCACHE_NAME_SUFFIX:STRING=${CACHE_NAME_SUFFIX}
-                            -DPROC_LABEL:STRING="${PROC_LABEL}"
-                            -DPROC_BIT_DEPTH:STRING="${PROC_BIT_DEPTH}"
-                            -DBUILD_TYPE:STRING=${CMAKE_BUILD_TYPE}
-                            -DGTKMM_VERSION:STRING=${GTKMM_VERSION}
-                            -DOPTION_OMP:STRING=${OPTION_OMP}
-                            -DWITH_MYFILE_MMAP:STRING=${WITH_MYFILE_MMAP})
-
-if (WIN32)
-  list(APPEND ABOUT_COMMAND_WITH_ARGS -DSYSTEM:STRING=Windows
-                                      -DCXX_FLAGS:STRING="${CXX_FLAGS}"
-                                      -DLFLAGS:STRING="${LFLAGS}"
-                                      -DCOMPILER_INFO:STRING="${COMPILER_INFO}")
-elseif (APPLE)
-  list(APPEND ABOUT_COMMAND_WITH_ARGS -DSYSTEM:STRING=Apple
-                                      -DCXX_FLAGS:STRING=${CXX_FLAGS}
-                                      -DLFLAGS:STRING=${LFLAGS}
-                                      -DCOMPILER_INFO:STRING=${COMPILER_INFO})
-else (WIN32)
-  list(APPEND ABOUT_COMMAND_WITH_ARGS -DSYSTEM:STRING=Linux
-                                      -DCXX_FLAGS:STRING=${CXX_FLAGS}
-                                      -DLFLAGS:STRING=${LFLAGS}
-                                      -DCOMPILER_INFO:STRING=${COMPILER_INFO})
-endif (WIN32)
-
