=== rtexif/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 add_library (rtexif rtexif.cc stdattribs.cc nikonattribs.cc canonattribs.cc
-    pentaxattribs.cc fujiattribs.cc sonyminoltaattribs.cc olympusattribs.cc)
+    pentaxattribs.cc fujiattribs.cc sonyminoltaattribs.cc olympusattribs.cc kodakattribs.cc)
 
 IF (WIN32)
     set_target_properties (rtexif PROPERTIES COMPILE_FLAGS " -ffast-math -fexpensive-optimizations")
@@ -16,6 +16,8 @@
         ${GLIBMM_LIBRARY_DIRS} ${GTK_LIBRARY_DIRS} ${GTKMM_LIBRARY_DIRS})
 ENDIF (WIN32)
 
+include_directories (BEFORE "${CMAKE_CURRENT_BINARY_DIR}")
+
 IF (BUILD_SHARED_LIBS)
     INSTALL(TARGETS rtexif DESTINATION ${LIBDIR})
 ENDIF (BUILD_SHARED_LIBS)
