=== debian/changelog ===
rawtherapee (4.0.12+dfsg-2) unstable; urgency=medium

  * Install file camconst.json (closes: #737610).

 -- Philip Rinn <rinni@inventati.org>  Wed, 05 Feb 2014 20:05:28 +0100

rawtherapee (4.0.12+dfsg-1) unstable; urgency=low

  * New upstream release:
    - add build dependency g++ (>= 4:4.7) and libgtk2.0-0 (>=2.24.18)
  * Refresh debian/patches/01-AboutThisBuild.patch to apply cleanly.
  * Bump Standards-Version to 3.9.5 (no changes necessary).

 -- Philip Rinn <rinni@inventati.org>  Tue, 14 Jan 2014 16:15:31 +0100
