=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: rawtherapee
 Section: graphics
 Priority: optional
-Maintainer: Philip Rinn <rinni@gmx.net>
-Build-Depends: debhelper (>= 9), cmake (>= 2.6), imagemagick, libbz2-dev,
- libexiv2-dev (>= 0.19), libexpat1-dev (>= 2.1.0), libfftw3-dev (>= 3.2.2), 
- libgtkmm-2.4-dev (>= 2.22), libiptcdata0-dev, libjpeg-dev, liblcms2-dev,
- libpng-dev, libsigc++-2.0-dev, libtiff-dev, libcanberra-gtk-dev
-Standards-Version: 3.9.4
+Maintainer: Philip Rinn <rinni@inventati.org>
+Build-Depends: debhelper (>= 9), cmake (>= 2.6), g++ (>= 4:4.7), imagemagick,
+ libbz2-dev, libexiv2-dev (>= 0.19), libexpat1-dev (>= 2.1.0), libtiff-dev,
+ libfftw3-dev (>= 3.2.2), libgtk2.0-0 (>=2.24.18), libgtkmm-2.4-dev (>= 2.22),
+ libiptcdata0-dev, libjpeg-dev, liblcms2-dev, libpng-dev, libsigc++-2.0-dev,
+ libcanberra-gtk-dev
+Standards-Version: 3.9.5
 Homepage: http://www.rawtherapee.com
 
 Package: rawtherapee
