=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 override_dh_install-indep:
 	dh_install
+	cp rtengine/camconst.json debian/rawtherapee-data/usr/share/rawtherapee/camconst.json
+	chmod 644 debian/rawtherapee-data/usr/share/rawtherapee/camconst.json
 	rm debian/rawtherapee-data/usr/share/rawtherapee/languages/LICENSE
 
-override_dh_compress:
-	dh_compress -X.pdf
