=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// \
http://rawtherapee.com/shared/source/rawtherapee-(\d[\d.]*)\.(?:zip|tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz) \
 debian /bin/sh debian/get-orig-source.sh
